### Class

# GExiv2 PreviewImage

#### Description [src]

    class GExiv2.PreviewImage : GObject.Object
    {
      /* No available fields */
    }

An accessor to the preview images contained in the image’s metadata.

This could be anything from a thumbnail to a full-sized camera development of a RAW image.

The `GExiv2PreviewImage` is obtained by calling `gexiv2_metadata_get_preview_image()` with an instance of `GExiv2PreviewProperties` that are describing the image to be fetched.

    GExiv2PreviewProperties **properties, **it;
    properties = it = gexiv2_metadata_get_preview_properties(metadata);

    while (*it) {
      preview_image = gexiv2_metadata_get_preview_image(metadata, *it);
      it++;
    }

#### Ancestors

- GObject

#### Instance methods

###### gexiv2_preview_image_get_data

Get a pointer to the image data of the preview image. The returned data is owned by the preview image and must not be freed.

###### gexiv2_preview_image_get_extension

Get the file extension commonly associated with the preview image.

###### gexiv2_preview_image_get_height

Get the height in pixels.

###### gexiv2_preview_image_get_mime_type

Get the MIME type associated with the preview image.

###### gexiv2_preview_image_get_width

Get the width in pixels.

###### gexiv2_preview_image_try_write_file

Write the preview image to a file in `path`.

deprecated: 0.16.0 since: 0.14.0

###### gexiv2_preview_image_write_file

Write the preview image to a file in `path`.

unstable since: 0.16.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GExiv2PreviewImageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.